%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_channel pear.symfony.com

Name:             php-channel-symfony2
Version:          1.3
Release:          4%{?dist}
Summary:          Adds %{pear_channel} channel to PEAR

Group:            Development/Libraries
License:          Public Domain
URL:              http://%{pear_channel}
Source0:          http://%{pear_channel}/channel.xml

BuildArch:        noarch
BuildRequires:    php-pear(PEAR)

Requires:         php-pear(PEAR)
Requires(post):   %{__pear}
Requires(postun): %{__pear}

Provides:         php-channel(%{pear_channel})

%description
This package adds the %{pear_channel} channel which allows PEAR packages from
this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{pear_xmldir}/%{name}.xml


%post
if [ $1 -eq  1 ] ; then
   %{__pear} channel-add %{pear_xmldir}/%{name}.xml > /dev/null || :
else
   %{__pear} channel-update %{pear_xmldir}/%{name}.xml > /dev/null || :
fi


%postun
if [ $1 -eq 0 ] ; then
   %{__pear} channel-delete %{pear_channel} > /dev/null || :
fi


%files
%{pear_xmldir}/%{name}.xml


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 13 2012 Shawn Iwinski <shawn.iwinski@gmail.com> 1.3-1
- Updated version to match channel REST version
- Removed version from virtual provide

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 9 2012 Shawn Iwinski <shawn.iwinski@gmail.com> 1.0-3
- Changed license from MIT to Public Domain
- Removed "BuildRequires: php-pear >= 1:1.4.9-1.2"
- Removed cleaning buildroot from %%install section
- Removed %%clean section

* Sun May 20 2012 Shawn Iwinski <shawn.iwinski@gmail.com> 1.0-2
- %%global instead of %%define
- Removed BuildRoot
- Removed %%defattr from %%files section
- Minor syntax update in %%post section

* Sat Apr 21 2012 Shawn Iwinski <shawn.iwinski@gmail.com> 1.0-1
- Initial package
